OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
ValueMaskFilter< On > Class Template Reference

Index filtering on active / inactive state of host voxel. More...

`#include <openvdb/points/IndexFilter.h>`

## Public Member Functions
template<typename LeafT >
void | reset (const LeafT &)
template<typename IterT >
bool | valid (const IterT &iter) const

## Static Public Member Functions
static bool | initialized ()
static index::State | state ()
template<typename LeafT >
static index::State | state (const LeafT &leaf)

## Detailed Description

template<bool On>
class openvdb::v11_0::points::ValueMaskFilter< On >

Index filtering on active / inactive state of host voxel.

## Member Function Documentation

## ◆ initialized()

template<bool On>

static bool initialized | ( |  | ) |
| inline static

## ◆ reset()

template<bool On>
template<typename LeafT >

void reset | ( | const LeafT & |  | ) |
| inline

## ◆ state() [1/2]

template<bool On>

static index::State state | ( |  | ) |
| inline static

## ◆ state() [2/2]

template<bool On>
template<typename LeafT >

static index::State state | ( | const LeafT & | leaf | ) |
| inline static

## ◆ valid()

template<bool On>
template<typename IterT >

bool valid | ( | const IterT & | iter | ) | const
| inline